# Get-RASPubRDSAppServerAttr.md

## NAME

Get-RASPubRDSAppServerAttr

## SYNOPSIS

Retrieves RDS application attributes from a specific server from where the application is hosted.

## SYNTAX

\*\*Get-RASPubRDSAppServerAttr \[[Id](#id-string)] *(uint)* \[[ServerId](#serverid-string) *(uint)*] \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Get-RASPubRDSAppServerAttr \[-[InputObject](#inputobject)] *(*[*PubItem*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/pubitem.md)*)* \[[ServerId](#serverid-string) *(uint)*] \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Retrieves RDS application attributes from a specific server from where the application is hosted..

## PARAMETERS

## ServerId (uint)

RDS server ID for which the attributes will be acquired.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

Published resource ID.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([PubItem](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/pubitem.md))

An object specifying the published resource.

To obtain the object, use the Get-PubItem cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[PubItem](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/pubitem.md)

## OUTPUTS

[PubAppAttr](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/pubappattr.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Get-RASPubRDSAppServerAttr -Id 2

Retrieves per server application attribute settings by application Id.\
\*\*---------- EXAMPLE 2 ----------

Get-RASPubRDSAppServerAttr -InputObject $RDSApp -ServerId 15"

Retrieves a per server application attribute settings by input object and ServerId.

## RELATED LINKS

* [Add-RASPubRDSAppServerAttr](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/add-raspubrdsappserverattr.md)
* [Set-RASPubRDSAppServerAttr](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-raspubrdsappserverattr.md)
* [Remove-RASPubRDSAppServerAttr](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-raspubrdsappserverattr.md)
* [Get-RASRDSHost](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasrdshost.md)
* [Get-RASPubRDSApp](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-raspubrdsapp.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-raspubrdsappserverattr.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
